Bug 1005728 - ss incorrect layer 4 protocol detection, regression
ss incorrect layer 4 protocol detection, regression
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 05:33 EDT by Vladislav Grigoryev
Modified: 2014-04-26 08:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: iproute-3.14.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-26 08:36:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladislav Grigoryev 2013-09-09 05:33:37 EDT
Description of problem:
ss shows UDP open ports as TCP.

Version-Release number of selected component (if applicable):
iproute-3.9.0-1.fc19.x86_64
kernel-3.10.10-200.fc19.x86_64

How reproducible:
Always.

Compare commands output:
# netstat -lnptu | grep vpn
udp   0      0 0.0.0.0:1194            0.0.0.0:*            781/openvpn         

At the same time:
# ss -lnptu | grep vpn
tcp UNCONN   0    0     *:1194         *:*      users:(("openvpn",781,4))
Comment 1 Petr Šabata 2013-10-24 02:58:32 EDT
Ok, reproduced.

You state this is a regression; do you know what versions were unaffected by this issue?
Comment 2 Vladislav Grigoryev 2013-10-27 07:29:56 EDT
I've tested iproute-3.6.0-8.fc18.i686 from previous Fedora release and it works fine.
Comment 3 Vladislav Grigoryev 2014-04-26 08:36:33 EDT
Fixed in iproute-3.14.0-1.fc20.

Note You need to log in before you can comment on or make changes to this bug.